Bug 226165 - Merge Review: mt-st
Summary: Merge Review: mt-st
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:43 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-02 11:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 11:05:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:43:43 UTC
Fedora Merge Review: mt-st

http://cvs.fedora.redhat.com/viewcvs/devel/mt-st/
Initial Owner: jnovy@redhat.com

Comment 1 Radek Brich 2007-09-05 11:02:52 UTC
Package Change Request
======================
Package Name: mt-st
Updated Fedora Owners: rbrich@redhat.com


Comment 2 Jindrich Novy 2007-09-05 11:14:35 UTC
Agreed with ownership transition.

Comment 3 Radek Brich 2007-09-05 13:10:08 UTC
canceling request, it's now ok (via pkgdb)

Comment 4 Miroslav Lichvar 2009-12-01 16:55:26 UTC
Review follows:

OK source files match upstream:
fdd5f5ec673c9f630a102ceff7612774  mt-st-1.1.tar.gz

OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text included in package.
OK latest version is being packaged.
OK BuildRequires are proper.
OK compiler flags are appropriate.
OK %clean is present.
OK package builds in mock.
OK debuginfo package looks complete.
NO rpmlint is silent.
mt-st.x86_64: W: service-default-enabled /etc/rc.d/init.d/stinit
mt-st.x86_64: E: no-status-entry /etc/rc.d/init.d/stinit
mt-st.x86_64: W: no-reload-entry /etc/rc.d/init.d/stinit
mt-st.x86_64: E: subsys-not-used /etc/rc.d/init.d/stinit
mt-st.x86_64: W: incoherent-init-script-name stinit ('mt-st', 'mt-std')

Enabled by default and incoherent name are ok, but the script should be
probably updated to match the Fedora init script guidelines.

OK final provides and requires look sane.
N/A %check is present and all tests pass.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK doesn't own any directories it shouldn't.
OK no duplicates in %files.
OK file permissions are appropriate.
OK scriptlets are sane.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
OK not a GUI app.

Comment 5 Dan Horák 2009-12-02 10:46:09 UTC
The stinit initscript was recently updated in F-12 and rawhide (see bug 541592 for details) and it doesn't start any daemon, but it does only a one-time initialization of tape devices, so I think it can live as it is.

Comment 6 Miroslav Lichvar 2009-12-02 11:05:55 UTC
Ok, thanks. The package is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.